systemd-networkd hangs my boot (wireless)

Bug #1714301 reported by Didier Roche on 2017-08-31
88
This bug affects 20 people
Affects Status Importance Assigned to Milestone
systemd (Ubuntu)
Critical
Unassigned
Artful
Critical
Unassigned

Bug Description

Since that systemd-networkd is enabled, my laptop doesn't boot (hangs) until I plug in an ethernet cable.

Here is the journal from this boot, note the hang up until I connect my cable at 17:51:35:
août 31 17:50:08 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:50:08 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:50:08 tidus systemd[1]: emergency-tmp.service: Cannot add dependency job, ignoring: Unit emergency-tmp.service is not loaded properly: Inva
août 31 17:50:08 tidus ntpdate[3836]: Can't find host 0.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3836]: Can't find host 1.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3836]: Can't find host 2.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3836]: Can't find host 3.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3836]: Can't find host ntp.ubuntu.com: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3836]: no servers can be used, exiting
août 31 17:50:08 tidus systemd[1]: systemd-resolved-update-resolvconf.service: Start request repeated too quickly.
août 31 17:50:08 tidus systemd[1]: Failed to start systemd-resolved-update-resolvconf.service.
août 31 17:50:08 tidus systemd[1]: systemd-resolved-update-resolvconf.service: Failed with result 'start-limit-hit'.
août 31 17:50:08 tidus systemd[1]: Reloading OpenBSD Secure Shell server.
août 31 17:50:08 tidus sshd[2573]: Received SIGHUP; restarting.
août 31 17:50:08 tidus systemd[1]: Reloaded OpenBSD Secure Shell server.
août 31 17:50:08 tidus nm-dispatcher[2511]: /usr/sbin/fanctl: 41: /usr/sbin/fanctl: arithmetic expression: expecting primary: " (32-)/4 "
août 31 17:50:08 tidus nm-dispatcher[2511]: run-parts: /etc/network/if-up.d/ubuntu-fan exited with return code 2
août 31 17:50:08 tidus sshd[2573]: Server listening on 0.0.0.0 port 22.
août 31 17:50:08 tidus sshd[2573]: Server listening on :: port 22.
août 31 17:50:08 tidus nm-dispatcher[2511]: req:3 'up' [virbr0], "/etc/NetworkManager/dispatcher.d/01-ifupdown": complete: failed with Script '/etc/Ne
août 31 17:50:08 tidus nm-dispatcher[2511]: req:4 'up' [docker0]: start running ordered scripts...
août 31 17:50:08 tidus NetworkManager[2340]: <warn> [1504194608.6148] dispatcher: (6) 01-ifupdown failed (failed): Script '/etc/NetworkManager/dispat
août 31 17:50:08 tidus ntpdate[3908]: Can't find host 0.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3908]: Can't find host 1.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3908]: Can't find host 2.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3908]: Can't find host 3.ubuntu.pool.ntp.org: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3908]: Can't find host ntp.ubuntu.com: Name or service not known (-2)
août 31 17:50:08 tidus ntpdate[3908]: no servers can be used, exiting
août 31 17:50:08 tidus systemd[1]: Reloading OpenBSD Secure Shell server.
août 31 17:50:08 tidus sshd[2573]: Received SIGHUP; restarting.
août 31 17:50:08 tidus systemd[1]: Reloaded OpenBSD Secure Shell server.
août 31 17:50:08 tidus sshd[2573]: Server listening on 0.0.0.0 port 22.
août 31 17:50:08 tidus sshd[2573]: Server listening on :: port 22.
août 31 17:50:08 tidus nm-dispatcher[2511]: /usr/sbin/fanctl: 41: /usr/sbin/fanctl: arithmetic expression: expecting primary: " (32-)/4 "
août 31 17:50:08 tidus nm-dispatcher[2511]: run-parts: /etc/network/if-up.d/ubuntu-fan exited with return code 2
août 31 17:50:08 tidus nm-dispatcher[2511]: req:4 'up' [docker0], "/etc/NetworkManager/dispatcher.d/01-ifupdown": complete: failed with Script '/etc/N
août 31 17:50:08 tidus NetworkManager[2340]: <warn> [1504194608.6612] dispatcher: (7) 01-ifupdown failed (failed): Script '/etc/NetworkManager/dispat
août 31 17:50:08 tidus systemd[1]: Reloaded OpenBSD Secure Shell server.
août 31 17:50:08 tidus sshd[2573]: Server listening on 0.0.0.0 port 22.
août 31 17:50:08 tidus sshd[2573]: Server listening on :: port 22.
août 31 17:50:08 tidus nm-dispatcher[2511]: /usr/sbin/fanctl: 41: /usr/sbin/fanctl: arithmetic expression: expecting primary: " (32-)/4 "
août 31 17:50:08 tidus nm-dispatcher[2511]: run-parts: /etc/network/if-up.d/ubuntu-fan exited with return code 2
août 31 17:50:08 tidus nm-dispatcher[2511]: req:4 'up' [docker0], "/etc/NetworkManager/dispatcher.d/01-ifupdown": complete: failed with Script '/etc/N
août 31 17:50:08 tidus NetworkManager[2340]: <warn> [1504194608.6612] dispatcher: (7) 01-ifupdown failed (failed): Script '/etc/NetworkManager/dispat
août 31 17:50:09 tidus set-cpufreq[2212]: Setting powersave scheduler for all CPUs
août 31 17:50:11 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:50:11 tidus NetworkManager[2340]: <info> [1504194611.8168] device (wlan0): supplicant interface state: ready -> inactive
août 31 17:50:13 tidus NetworkManager[2340]: <info> [1504194613.5139] manager: startup complete
août 31 17:50:13 tidus systemd[1]: Started Network Manager Wait Online.
août 31 17:50:14 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:50:15 tidus NetworkManager[2340]: <info> [1504194615.5127] manager: rfkill: WiFi hardware radio set enabled
août 31 17:50:15 tidus NetworkManager[2340]: <info> [1504194615.5128] manager: rfkill: WWAN hardware radio set enabled
août 31 17:50:23 tidus systemd[1]: Received SIGRTMIN+20 from PID 318 (plymouthd).
août 31 17:50:26 tidus ModemManager[2243]: <info> Creating modem with plugin 'Generic' and '1' ports
août 31 17:50:26 tidus ModemManager[2243]: <warn> Could not grab port (tty/ttyS4): 'Cannot add port 'tty/ttyS4', unhandled serial type'
août 31 17:50:26 tidus ModemManager[2243]: <warn> Couldn't create modem for device at '/sys/devices/pci0000:00/0000:00:16.3': Failed to find primary
août 31 17:50:26 tidus systemd[1]: Received SIGRTMIN+20 from PID 318 (plymouthd).
août 31 17:50:38 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:51:11 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:51:35 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:51:35 tidus NetworkManager[2340]: <info> [1504194695.4659] device (eth0): link connected
août 31 17:51:35 tidus systemd-networkd[2036]: eth0: Gained carrier
août 31 17:51:35 tidus kernel: e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
août 31 17:51:35 tidus kernel: IPv6: ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
août 31 17:51:35 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:51:35 tidus NetworkManager[2340]: <info> [1504194695.4672] device (eth0): state change: unavailable -> disconnected (reason 'carrier-chang
août 31 17:51:35 tidus systemd[1]: emergency-tmp.service: Cannot add dependency job, ignoring: Unit emergency-tmp.service is not loaded properly: Inva
août 31 17:51:35 tidus systemd-networkd-wait-online[2047]: ignoring: lo
août 31 17:51:35 tidus NetworkManager[2340]: <info> [1504194695.4710] policy: auto-activating connection 'Client'
août 31 17:51:35 tidus NetworkManager[2340]: <info> [1504194695.4726] device (eth0): Activation: starting connection 'Client' (f33096ed-0a9e-4661-afe
août 31 17:51:35 tidus NetworkManager[2340]: <info> [1504194695.4729] device (eth0): state change: disconnected -> prepare (reason 'none', internal s

Note that disabling both networkd related services "fix" it for me.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: systemd 234-2ubuntu9
ProcVersionSignature: Ubuntu 4.12.0-11.12-generic 4.12.5
Uname: Linux 4.12.0-11-generic x86_64
NonfreeKernelModules: zfs zunicode zavl zcommon znvpair
ApportVersion: 2.20.7-0ubuntu1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Thu Aug 31 18:17:56 2017
InstallationDate: Installed on 2012-05-28 (1921 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: LENOVO 4287CTO
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.12.0-11-generic root=UUID=a9f4b475-e4ce-45ed-aa33-9b92e52c49b0 ro quiet splash nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw vt.handoff=7
SourcePackage: systemd
UpgradeStatus: Upgraded to artful on 2017-07-10 (52 days ago)
dmi.bios.date: 02/14/2012
dmi.bios.vendor: LENOVO
dmi.bios.version: 8DET58WW (1.28 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4287CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr8DET58WW(1.28):bd02/14/2012:svnLENOVO:pn4287CTO:pvrThinkPadX220:rvnLENOVO:rn4287CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.family: ThinkPad X220
dmi.product.name: 4287CTO
dmi.product.version: ThinkPad X220
dmi.sys.vendor: LENOVO

Didier Roche (didrocks) wrote :
Dimitri John Ledkov (xnox) wrote :

I will remove unconditional enablement of the systemd-networkd.
Existing artful systems will need to manually "apply" the fix I think.

Changed in systemd (Ubuntu):
status: New → Confirmed
importance: Undecided → High
André (afsverissimo) wrote :

what does 'unconditional enablement' mean? just enable the 'systemd-networkd' service?

bug #1697730 could be a duplicate of this (or the other way around)

Changed in systemd (Ubuntu Artful):
milestone: none → ubuntu-17.10
Max Bowsher (maxb) wrote :

Still a problem in artful upgraded from zesty right now.

Steve Langasek (vorlon) on 2017-09-14
Changed in systemd (Ubuntu Artful):
importance: High → Critical
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package systemd - 234-2ubuntu12

---------------
systemd (234-2ubuntu12) artful; urgency=medium

  [ Dimitri John Ledkov ]
  * debian/rules: do not strip test-copy.
    This insures test-copy is large enough for test-copy tests to pass.
    (LP: #1721203)

  [ Michael Biebl ]
  * Drop systemd-timesyncd.service.d/disable-with-time-daemon.conf.
    All major NTP implementations ship a native service file nowadays with a
    Conflicts=systemd-timesyncd.service so this drop-in is no longer
    necessary. (Closes: #873185) (LP: #1721204)

 -- Dimitri John Ledkov <email address hidden> Wed, 04 Oct 2017 13:28:34 +0100

Changed in systemd (Ubuntu Artful):
status: Confirmed → Fix Released

I can confirm this is fixed after installing the latest system updates. Thanks.

Nawaf Al-Subaie (nalsubaie) wrote :

I still have this problem despite installing the latest updates:
 2min 107ms systemd-networkd-wait-online.service
          3.916s plymouth-quit-wait.service
          3.013s iio-sensor-proxy.service
          1.557s snapd.service
          1.119s systemd-backlight@backlight:intel_backlight.service
           991ms apparmor.service
           900ms fwupd.service

David Britton (davidpbritton) wrote :

Hi nalsubaie --

Please file a new bug report with ubuntu-bug systemd

Metta Crawler (metta-crawler) wrote :

This morning I found out that if I boot
linux-image-4.13.0-17-generic
I get a hang at
Nov 23 07:12:47 lakshmi NetworkManager[1795]: <info> [1511439167.0455] manager: rfkill: WWAN hardware radio set enabled
Nov 23 07:14:30 lakshmi systemd-networkd-wait-online[1454]: Event loop failed: Connection timed out

But if I boot
linux-image-4.14.2-041402-generic
there is no two minute delay.

Metta Crawler (metta-crawler) wrote :

If you are looking for newer bug reports with this issue try
LP: #1717152
LP: #1728181

I still see this issue with Ununtu 17.10 with all updates installed.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers